1

I am having a strange issue , my main terminal is recognizing the RVM , Ruby and runs Rails command as well , and I had two tabs opened yesterday which were recognizing all of the commands .

Today morning when I opened my terminal and tab ,

terminal recognizes everything , but tab only recognizes RVM and ruby, but not rails and throws out this error .

error - The program 'rails' can be found in the following packages: * ruby-railties-3.2 * ruby-railties-4.0 Try: sudo apt-get install

I have ticked the box run command as login shell in the preferences , but of no use .

update:- I tried running rvm use ruby-2.2.0@learn in the tab (The main terminal window doesnt require this being run ) and it throws this error -

Warning! PATH is not properly set up, '/home/xxx/.rvm/gems/ruby-2.2.0/bin' is not at first place,
     usually this is caused by shell initialization files - check them for 'PATH=...' entries,
     it might also help to re-add RVM to your dotfiles: 'rvm get stable --auto-dotfiles',
     to fix temporarily in this shell session run: 'rvm use ruby-2.2.0'.

Using /home/xxx/.rvm/gems/ruby-2.2.0 with gemset learn

Any suggestions or help ?

Thanks

0

If you installed rvm in multiusermode you should check that the following code is in your bashrc.

source /usr/local/rvm/scripts/rvm

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.